SymetryML Documentation
Models

Import model

Imports a model previously exported via `GET /model/export`. Note the path segment is singular `model`. The request body is the raw AES-encrypted, base64-encoded export blob (the literal `values.string` value from the export response) as the body, decrypted server-side with the customer's key.

POST
/{user}/projects/{project}/model/import

Imports a model previously exported via GET /model/export. Note the path segment is singular model. The request body is the raw AES-encrypted, base64-encoded export blob (the literal values.string value from the export response) as the body, decrypted server-side with the customer's key.

Authorization

SymetryMLAuth
AuthorizationBearer <token>

HMAC-SHA256 signature-based authentication: requests are signed with your secret key and sent with the Customer-ID, Sym-date, Authorization, Content-MD5 and sym-version headers. sym-version is required and must be 7.x (for example 7.0). See SymetryML REST API Security for the signature algorithm and a complete example.

In: header

Path Parameters

user*string

User/Customer identifier

project*string

Project identifier

Query Parameters

modelId*string

Name to assign to the imported model.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body*string

Response Body

application/json

application/json

curl -X POST "https://example.com/c1/projects/nbra_prj_iris/model/import?modelId=nbra_prj_iris_1" \  -H "Content-Type: application/json" \  -d 'v2:/oZVLWVA2VczyB572ZSMl3bhwMGlCN1Eh4VYYAsDQQqyI8vCCexofRRfTawYUFGAEsncCKIiWJ/OXilhTpQQBDknw95iqMbsHtM7mvguzkJK8M9HKmzDvuTg1cGQEsdgcTRDOP4Zm8OxUOeJJNB6AT6oR2muP43D6iKmQpguJuQOgfxGJPdUxH4EI0=='
{  "statusCode": 200,  "statusString": "Model Import with name [nbra_prj_iris_1] for customer [demo] projectName [iris]",  "values": {}}

{  "statusCode": 400,  "statusString": "Invalid encrypted payload: Encrypted payload has no format prefix; expected 'v2:' (SymetryML protocol 7.0, AES-GCM). Pre-7.0 fixed-IV payloads are not accepted.",  "values": {}}

Empty